Subject: RE: FW: BGP without an IGP

From: "Ken Benstead" <[email-masked]>
Date: Fri, 5 Apr 2002 09:26:04 -0500

Hi Ilan,

You wrote:

> Also it's  recommended  not to rely on BGP itself to establish another
> BGP connection.  In your case as Ben said, the route D will not be
> propagated to Router R1.

Once the R1-R2 and R2-R3 peerings are established, (and R1, R2 and R3 have
exchanged their directly connected networks), R1 and R3 will be able to
reach each other. For example, from R1's perspective, it can get to C.R3 via
B.R2 and B is directly connected, (recursive lookup). Similarly R3 can get
to B.R1 via C.R2 with C being directly connected. In the middle, B knows how
to get to both B.R1 and C.R3 as they are both directly connected. So R1 can
send packets to C.R3 and R3 can send packets to B.R1 and that will allow the
R1-R3 peering to be established. Now R3 can advertise D to R1 with C.R3 as
next-hop.
R1 can already get to C.R3 so it can now also get to D.

> Even in the case of R1-R2-R3, if the BGP sesson
> btw R2 and R3 goes down , the session between R1 and R2 will also go
> down and it will take longer time to converge.

I'm afraid I don't understand your point here. Can you elaborate?

Ken

> -----Original Message-----
> From: Ilankumaran N [mailto:[email-masked]]
> Sent: Friday, April 05, 2002 12:35 AM
> To: Ken Benstead
> Subject: Re: FW: BGP without an IGP
>
>
> Also it's  recommended  not to rely on BGP itself to establish another
> BGP connection.  In your case as Ben said, the route D will not be
> propagated to Router R1. Even in the case of R1-R2-R3, if the BGP sesson
> btw R2 and R3 goes down , the session between R1 and R2 will also go
> down and it will take longer time to converge.
>
>
> Rds,
> Ilan
>
> Ken Benstead wrote:
>
> >Forgot to send this to the list.
> >
> >>-----Original Message-----
> >>From: Ken Benstead [mailto:[email-masked]]
> >>Sent: Thursday, March 28, 2002 4:17 PM
> >>To: Abarbanel, Benjamin
> >>Subject: RE: BGP without an IGP
> >>
> >>
> >>Ben,
> >>
> >>I realized I messed up my example just before your message
> >>arrived. I broke the IBGP readvertisment rule.
> >>
> >>Below is what I should have said. As each peering comes up the
> >>routers only advertise their directly connected networks which, I
> >>think, does not violate the readvertisement rule. As each set of
> >>peerings come up they are able to advertise networks that are one
> >>hop further away and thus allow the next set of peerings to come up.
> >>
> >>Ken
> >>
> >>==================================================================
> >>===============
> >>
> >>Assume we have four routers running BGP with IBGP sessions configured
> >>between them and "next-hop-self" enabled on each session. Each router
> >>redistributes its directly connected networks into BGP.
> >>
> >>
> >>   -----R1---------R2---------R3---------R4-----
> >>  NET A     NET B      NET C      NET D     NET E
> >>
> >>
> >>The configured sessions are:
> >>
> >>	1-hop: B.R1 - B.R2    C.R2 - C.R3    D.R3 - D.R4
> >>      2-hop: B.R1 - C.R3    C.R2 - D.R4
> >>	3-hop: B.R1 - D.R4
> >>
> >>Initially only the one-hop sessions will come up. Each router
> >>will have the following routes.
> >>
> >>	  R1             R2             R3             R4
> >>  A via direct   B via direct   C via direct   D via direct
> >>  B via direct   C via direct   D via direct   E via direct
> >>  C via B.R2     A via B.R1     B via C.R2     C via D.R3
> >>                 D via C.R3     E via D.R4
> >>
> >>With these tables the two-hop sessions can come up resulting in
> a further
> >>exchange of routes. The result, after route selection, would be:
> >>
> >>	  R1             R2             R3             R4
> >>  A via direct   B via direct   C via direct   D via direct
> >>  B via direct   C via direct   D via direct   E via direct
> >>  C via B.R2     A via B.R1     B via C.R2     C via D.R3
> >>  D via C.R3     D via C.R3     E via D.R4     B via C.R2
> >>                 E via D.R4     A via B.R1
> >>
> >>Now the three-hop session can come up and exchange routes. You
> >>end up with:
> >>
> >>	  R1             R2             R3             R4
> >>  A via direct   B via direct   C via direct   D via direct
> >>  B via direct   C via direct   D via direct   E via direct
> >>  C via B.R2     A via B.R1     B via C.R2     C via D.R3
> >>  D via C.R3     D via C.R3     E via D.R4     B via C.R2
> >>  E via D.R4     E via D.R4     A via B.R1     A via B.R1
> >>
> >>This gives full reachability.
> >>
> >>
> >>
> >>
> >>
> >
>